Summary:	Home computer cron daemon
Summary(fr.UTF-8):	Démon Home computer cron
Summary(pl.UTF-8):	Demon cron dla domowego komputera
Summary(tr.UTF-8):	Home computer cron süreci, periyodik program çalıştırma yeteneği
Name:		hc-cron
Version:	0.14
Release:	28
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.berlios.de/pub/hc-cron/stable/%{name}-%{version}.tar.gz
# Source0-md5:	19140ce4ceb7d800d2aae6be8b9361cb
Source1:	%{name}.init
Source2:	cron.logrotate
Source3:	%{name}.crontab
Source4:	crontab.1.pl
Source5:	cron.8.pl
Source6:	cron.sysconfig
Patch0:		%{name}-syscrondir.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-time.patch
Patch3:		%{name}-closefile.patch
Patch4:		%{name}-sgid.patch
Patch5:		%{name}-sleep.patch
BuildRequires:	rpmbuild(macros) >= 1.247
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	/bin/run-parts
Requires:	/sbin/chkconfig
Requires:	psmisc >= 20.1
Requires:	rc-scripts
Provides:	crondaemon
Provides:	cronjobs
Provides:	crontabs = 1.7
Provides:	group(crontab)
Obsoletes:	crondaemon
Obsoletes:	cronjobs
Obsoletes:	crontabs
Obsoletes:	mcron
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hc-cron is a cron daemon for home computers. It runs specified jobs at
periodic intervals and will remember the time when it was shut down
and catch up jobs that have occurred during down time when it is
started again. Hc-cron is based on the widely used vixie-cron and uses
the same crontab format so that it can be used as a drop-in
replacement for that program.

%description -l de.UTF-8
cron ist ein Standard-UNIX-Programm, das zu vorgegebenen Zeiten vom
Benutzer angegebene Programme ausführt. hc-cron weist mehr Funktionen
auf als cron aus UNIX, u.a. bessere Sicherheit und leistungsfähigere
Konfigurationsoptionen.

%description -l fr.UTF-8
cron est un des programmes UNIX standard qui permet à un utilisateur
donné de lancer des périodiquement des programmes selon un ordre
planifié. hc-cron ajoute de nombreuses fonctionnalités au cron UNIX de
base, dont une plus grande sécurité et des options de configuration
plus puissantes.

%description -l pl.UTF-8
hc-cron jest demonem cron dla domowych komputerów. Uruchamia zadania w
określonych odstępach czasu oraz pamięta kiedy został wyłączony, by
móc wykonać pominięte zadania gdy zostanie ponownie uruchomiony.
Hc-cron jest oparty na szeroko używanym vixie cronie i używa tego
samego formatu pliku crontab, więc można stosować zamiennie te
programy.

%description -l tr.UTF-8
cron UNIX'de standart olarak belirli zamanlarda bir programı
çalıştırmak için kullanılan daemon'dur. hc-cron, standart cron'dan
daha güvenlidir ve daha gelişmiş yapılandırma seçenekleri içerir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} \
	 OPTIM="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cron.{hourly,daily,weekly,monthly},cron} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{cron.d,rc.d/init.d,logrotate.d,sysconfig} \
	$RPM_BUILD_ROOT%{_mandir}/{man{1,5,8},pl/man{1,8}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} \
	$RPM_BUILD_ROOT/var/{spool/cron,log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/log/cron

cat > $RPM_BUILD_ROOT%{_sysconfdir}/cron/cron.allow << EOF
# cron.allow	This file describes the names of the users which are
#		allowed to use the local cron daemon
root
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/cron/cron.deny << EOF2
# cron.deny	This file describes the names of the users which are
#		NOT allowed to use the local cron daemon
EOF2

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/crond
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/cron
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/system
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/pl/man1/crontab.1
install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/pl/man8/cron.8
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/cron

echo ".so cron.8" > $RPM_BUILD_ROOT%{_mandir}/man8/crond.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 117 -r -f crontab

%post
/sbin/chkconfig --add crond
umask 027
touch /var/log/cron
chgrp crontab /var/log/cron
chmod 660 /var/log/cron
%service crond restart "Cron Daemon"

%preun
if [ "$1" = "0" ]; then
	%service crond stop
	/sbin/chkconfig --del crond
fi

%postun
if [ "$1" = "0" ]; then
	%groupremove crontab
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog doc/{CONVERSION,FEATURES,MAIL,README.vix,THANKS}
%attr(754,root,root) /etc/rc.d/init.d/crond
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(750,root,root) %dir %{_sysconfdir}/cron.*
%attr(750,root,crontab) %dir %{_sysconfdir}/cron
%attr(640,root,crontab) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/cron/cron.allow
%attr(640,root,crontab) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/cron/cron.deny
%attr(640,root,crontab) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/*
%attr(755,root,root) %{_sbindir}/crond
%attr(2755,root,crontab) %{_bindir}/crontab
%attr(1730,root,crontab) %dir /var/spool/cron
%attr(660,root,crontab) %ghost /var/log/*
%lang(pl) %{_mandir}/pl/man*/*
%{_mandir}/man*/*
%changelog
* Fri Mar 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hc-cron.git;a=log;h=master

* Fri Mar 10 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> eb3c7c6
- P/O: cronjobs

* Wed Feb 15 2012 Kacper Kornet <draenog@pld-linux.org> c47c010
- make it work with FASTRC=yes

* Thu Sep 25 2008 Szymon Siwek <sls@pld-linux.org> aafe4ff
- creating /etc/cron/cron.allow and /var/log/cron synchronized with
  vixie-cron.spec
- create and package /etc/cron/cron.deny
- package /etc/cron/cron.{allow,deny} explicitly and with "missingok" flag
- rel. 27

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> eb6772a
- rel 26

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> e4469c6
- never use '<=' in trigger comparision (well just drop old triggers)
- no need for localized man link
- rel 25

* Sat Jan 12 2008 Jakub Bogusz <qboosh@pld-linux.org> a959359
- equal-versioned crontabs Provides
- yumoconflicts replaced by virtual package Obsoletes (already provided crondaemon)

* Fri Nov 09 2007 Patryk Zawadzki <patrys@room-303.com> ca6dcbd
- fixing the world continued
- mutual conflicts instead of obsoletes
- rel up
- STBR

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 409ef23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 294413f
- converted to UTF-8

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> 387e0af
- rel 23 (rebuild with fixed %useradd/%groupadd macros)

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> df350bf
- orphaned, outdated

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> 26a6760
- rel 22

* Mon Feb 27 2006 Elan Ruusamäe <glen@pld-linux.org> adecad3
- use %service

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 9d97c59
- killed trailing spaces/tabs

* Wed Nov 30 2005 Elan Ruusamäe <glen@pld-linux.org> 4d78c01
- use %service; adapterized

* Wed Nov 30 2005 Elan Ruusamäe <glen@pld-linux.org> 65b4f55
- quotes not neccessary with %banner

* Wed Oct 26 2005 Elan Ruusamäe <glen@pld-linux.org> 08d1c52
- rel 21

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> a04d796
- sync with vixie-cron:
revision 1.4
date: 2005/09/29 17:30:00;  author: glen;  state: Exp;  lines: +2 -2
- from my experience: no cron should be set to run between 03:00 and 04:00, as
  the DST changes could either skip or run twice the crons. change monthly cron to run at 04:02
- change daily cron to run at 05:02, i'm still up at 01:00 :), and slocate is killing my IO
revision 1.2
date: 2000/02/04 03:04:16;  author: kloczek;  state: Exp;  lines: +5 -5
- SHELL=/bin/sh instead SHELL=/bin/bassh,

* Thu Sep 15 2005 Elan Ruusamäe <glen@pld-linux.org> f8c5e90
- rel 20 (need rebuild with fixed %banner)

* Mon May 30 2005 Artur Frysiak <artur@frysiak.net> 5195ff7
- no cast for discarded return value

